### Method

# Gimp PlugIn add_menu_branch

#### Declaration [src]

    void
    gimp_plug_in_add_menu_branch (
      GimpPlugIn* plug_in,
      const gchar* menu_path,
      const gchar* menu_label
    )

#### Description [src]

Add a new sub-menu to the GIMP menus.

This function installs a sub-menu which does not belong to any procedure at the location `menu_path`.

For translations of `menu_label` to work properly, `menu_label` should only be marked for translation but passed to this function untranslated, for example using N_(“Submenu”). GIMP will look up the translation in the textdomain registered for the plug-in.

See also: gimp_procedure_add_menu_path().

Available since: | 3.0

#### Parameters

`menu_path` | `const gchar*`
| The sub-menu’s menu path.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`menu_label` | `const gchar*`
| The menu label of the sub-menu.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.